<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rongwei.bscommon.sys.dao.ApsReportOutputDao">

    <resultMap id="BaseResultMap" type="com.rongwei.bsentity.domain.ApsReportOutputDo">
        <id property="id" column="ID" jdbcType="VARCHAR"/>
        <result property="tenantid" column="TENANTID" jdbcType="VARCHAR"/>
        <result property="roption" column="ROPTION" jdbcType="VARCHAR"/>
        <result property="deleted" column="DELETED" jdbcType="VARCHAR"/>
        <result property="remark" column="REMARK" jdbcType="VARCHAR"/>
        <result property="createdate" column="CREATEDATE" jdbcType="TIMESTAMP"/>
        <result property="createuserid" column="CREATEUSERID" jdbcType="VARCHAR"/>
        <result property="modifydate" column="MODIFYDATE" jdbcType="TIMESTAMP"/>
        <result property="modifyuserid" column="MODIFYUSERID" jdbcType="VARCHAR"/>
        <result property="createusername" column="CREATEUSERNAME" jdbcType="VARCHAR"/>
        <result property="modifyusername" column="MODIFYUSERNAME" jdbcType="VARCHAR"/>
        <result property="mainid" column="MAINID" jdbcType="VARCHAR"/>
        <result property="outputid" column="OUTPUTID" jdbcType="VARCHAR"/>
        <result property="outputmaterial" column="OUTPUTMATERIAL" jdbcType="VARCHAR"/>
        <result property="outputnumber" column="OUTPUTNUMBER" jdbcType="VARCHAR"/>
        <result property="qrcode" column="QRCODE" jdbcType="VARCHAR"/>
        <result property="componment" column="COMPONMENT" jdbcType="VARCHAR"/>
        <result property="startrange" column="STARTRANGE" jdbcType="VARCHAR"/>
        <result property="endrange" column="ENDRANGE" jdbcType="VARCHAR"/>
        <result property="actualrange" column="ACTUALRANGE" jdbcType="VARCHAR"/>
        <result property="checkstatus" column="CHECKSTATUS" jdbcType="VARCHAR"/>
        <result property="thickness" column="THICKNESS" jdbcType="DECIMAL"/>
        <result property="width" column="WIDTH" jdbcType="DECIMAL"/>
        <result property="length" column="LENGTH" jdbcType="DECIMAL"/>
        <result property="weight" column="WEIGHT" jdbcType="DECIMAL"/>
        <result property="insepctionlevel" column="INSEPCTIONLEVEL" jdbcType="VARCHAR"/>
        <result property="qualified" column="QUALIFIED" jdbcType="VARCHAR"/>
        <result property="major" column="MAJOR" jdbcType="VARCHAR"/>
        <result property="minor" column="MINOR" jdbcType="VARCHAR"/>
        <result property="checkremark" column="CHECKREMARK" jdbcType="VARCHAR"/>
        <result property="majordesc" column="MAJORDESC" jdbcType="VARCHAR"/>
        <result property="minordesc" column="MINORDESC" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,TENANTID,ROPTION,
        DELETED,REMARK,CREATEDATE,
        CREATEUSERID,MODIFYDATE,MODIFYUSERID,
        CREATEUSERNAME,MODIFYUSERNAME,MAINID,
        OUTPUTID,OUTPUTMATERIAL,OUTPUTNUMBER,
        QRCODE,COMPONMENT,STARTRANGE,
        ENDRANGE,ACTUALRANGE,CHECKSTATUS,
        THICKNESS,WIDTH,LENGTH,
        WEIGHT,INSEPCTIONLEVEL,QUALIFIED,
        MAJOR,MINOR,CHECKREMARK,
        MAJORDESC,MINORDESC
    </sql>
</mapper>
